Loading...
Searching...
No Matches
BALL::TotalPositivePartialCharge Class Reference

`#include <BALL/QSAR/partialChargeDescriptors.h>`

Inheritance diagram for BALL::TotalPositivePartialCharge:

## Public Member Functions

Constructors and Destructors
| TotalPositivePartialCharge ()
| TotalPositivePartialCharge (const TotalPositivePartialCharge &tppc)
virtual | ~TotalPositivePartialCharge ()
Assignment
TotalPositivePartialCharge & | operator= (const TotalPositivePartialCharge &tppc)
Public Member Functions inherited from BALL::PartialChargeBase
| PartialChargeBase ()
| PartialChargeBase (const PartialChargeBase &pcb)
| PartialChargeBase (const String &name)
| PartialChargeBase (const String &name, const String &unit)
virtual | ~PartialChargeBase ()
PartialChargeBase & | operator= (const PartialChargeBase &pcb)
void | computeAllDescriptors (AtomContainer &ac)
void | setDataFolder (const char *folder)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
virtual double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Protected Member Functions inherited from BALL::PartialChargeBase
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)
String | data_folder_

## Detailed Description

This descriptor adds up all positive partial charges over all atoms.

Definition at line 21 of file partialChargeDescriptors.h.

## Constructor & Destructor Documentation

## TotalPositivePartialCharge() [1/2]

BALL::TotalPositivePartialCharge::TotalPositivePartialCharge | ( |  | ) |

Default constructor

## TotalPositivePartialCharge() [2/2]

BALL::TotalPositivePartialCharge::TotalPositivePartialCharge | ( | const TotalPositivePartialCharge & | tppc | ) |

Copy constructor

## ~TotalPositivePartialCharge()

virtual BALL::TotalPositivePartialCharge::~TotalPositivePartialCharge | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## operator=()

TotalPositivePartialCharge & BALL::TotalPositivePartialCharge::operator= | ( | const TotalPositivePartialCharge & | tppc | ) |

Assignment operator